// EStoreObjectReaderContext.h: interface for the EStoreObjectReaderContext class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ESTOREOTREADERCONTEXT_H__B0702DA1_74B7_11D3_92AC_004005446EE6__INCLUDED_)
#define AFX_ESTOREOTREADERCONTEXT_H__B0702DA1_74B7_11D3_92AC_004005446EE6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class EDataStream;

class EStoreOtReaderContext  
{
public:
	EStoreOtReaderContext();
	virtual ~EStoreOtReaderContext();

  void setDataStream( EDataStream *pstreamData );
  void setLineNo( SL nLineNo );

  EDataStream &stream() const;
  SL lineNo() const;

private:
  EDataStream *_pstreamData;
  SL _nLineNo;
};



inline void 
EStoreOtReaderContext::setDataStream( EDataStream *pstreamData )
{
  _pstreamData = pstreamData;
}


inline void 
EStoreOtReaderContext::setLineNo( SL nLineNo )
{
  _nLineNo = nLineNo;
}


inline EDataStream &
EStoreOtReaderContext::stream() const
{
  EASSERT( _pstreamData );
  return *_pstreamData;
}


inline SL 
EStoreOtReaderContext::lineNo() const
{
  return _nLineNo;
}

#endif // !defined(AFX_ESTOREOTREADERCONTEXT_H__B0702DA1_74B7_11D3_92AC_004005446EE6__INCLUDED_)
