// TfwkInterfaceIn.h: interface for the TfwkInterfaceIn class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TFWKINTERFACEIN_H__76D0DE80_457C_11D3_BE36_0040053AD648__INCLUDED_)
#define AFX_TFWKINTERFACEIN_H__76D0DE80_457C_11D3_BE36_0040053AD648__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class TfwkUnitTestMethodInfo;
class TfwkTestReport;

/*! \class TfwkInterfaceIn
 * \include "TfwkInterfaceIn.h"
 * \brief This class is the interface use to receive message from the UI.
 */
class TFWK_UI_EXPORT TfwkInterfaceIn  
{
public:
  /*!
   * Default constructor.
   */
  TfwkInterfaceIn() {}

  /*!
   * Destructor.
   */
  virtual ~TfwkInterfaceIn() {}

  /*!
   * Runs a test on a test method.
   *
   * @param info [In] Information about the method used for the test.
   * @param report [In/Out] Report about the test.
   */
  virtual void doTest( const TfwkUnitTestMethodInfo &info,
                       TfwkTestReport &report ) =0;

};

#endif // !defined(AFX_TFWKINTERFACEIN_H__76D0DE80_457C_11D3_BE36_0040053AD648__INCLUDED_)
