// DlgEOSBadWord.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "DlgEOSBadWord.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgEOSBadWord dialog


CDlgEOSBadWord::CDlgEOSBadWord( const CStringArray& lsBadWords,
                                CWnd* pParent /*=NULL*/)
	: CDialog(CDlgEOSBadWord::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgEOSBadWord)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
  m_lsBadWords.Copy( lsBadWords );
}


void CDlgEOSBadWord::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgEOSBadWord)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgEOSBadWord, CDialog)
	//{{AFX_MSG_MAP(CDlgEOSBadWord)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgEOSBadWord message handlers

// Fill the list with the bad words.
BOOL CDlgEOSBadWord::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
  CListBox *pBox = (CListBox *)GetDlgItem( IDC_LIST_BAD_EOS_WORDS );
  ASSERT( pBox );
  int nb = m_lsBadWords.GetSize();
  int cpt;
  for ( cpt =0; cpt < nb; ++cpt )
    pBox->AddString( (LPCTSTR)m_lsBadWords[ cpt ] );
	
	return TRUE;
}
