// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__1B7048C8_89DC_11D1_91BC_981384E67461__INCLUDED_)
#define AFX_MAINFRM_H__1B7048C8_89DC_11D1_91BC_981384E67461__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TtrProgressInfo.h"

class CMainFrame : public CMDIFrameWnd,
                   public TtrProgressInfo
{
	DECLARE_DYNAMIC(CMainFrame);
public:
	CMainFrame();

  virtual void onProgressStart();
  virtual void onProgress();
  virtual void onProgressStop();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	XStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDropFiles(HDROP hDropInfo);
  afx_msg LONG OnFindText( UINT dwInfo, LONG );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__1B7048C8_89DC_11D1_91BC_981384E67461__INCLUDED_)
