#if !defined(AFX_TTRDLGTEXTCOMPOSITE_H__BDC739E1_E3C5_4C0F_BE2F_3192D790580F__INCLUDED_)
#define AFX_TTRDLGTEXTCOMPOSITE_H__BDC739E1_E3C5_4C0F_BE2F_3192D790580F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TtrDlgTextComposite.h : header file
//

#include "TtrTextCoreInfo.h"

/////////////////////////////////////////////////////////////////////////////
// TtrDlgTextComposite dialog

class TtrDlgTextComposite : public CDialog
{
// Construction
public:
	TtrDlgTextComposite(CWnd* pParent = NULL);   // standard constructor
  void setCoreInfoList( const TtrTextCoreInfoList &listCoreInfo );

// Dialog Data
	//{{AFX_DATA(TtrDlgTextComposite)
	CListCtrl	_lvText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TtrDlgTextComposite)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(TtrDlgTextComposite)
	afx_msg void OnTextCompositeMoveUp();
	afx_msg void OnTextCompositeMoveDown();
	afx_msg void OnOk();
	virtual BOOL OnInitDialog();
	afx_msg void OnTextMakeComposite();
	afx_msg void OnTextMakeSubText();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

private:
  enum
  {
    imgComposite =0,
    imgSubText=1,
  };

  void setupListFormat();
  void refreshList();
  void setListItem( SL nLine, TtrTextCoreInfo &info, bool bIsNewItem =true );
  void refreshItem( TtrTextCoreInfo *pInfo );

  void getSelectedTextList( TtrTextCoreInfoList &listInfo );
  TtrTextCoreInfo *getItemAt( SL nIdx );
  SL findItemPos( TtrTextCoreInfo *pInfo );
  void switchItem( SL nIdx1, SL nIdx2 );

  TtrTextCoreInfoId findParentCompositeFor( TtrTextCoreInfo *pInfo );
private:
  TtrTextCoreInfoList _vCoreInfo;
  CImageList _imlText;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TTRDLGTEXTCOMPOSITE_H__BDC739E1_E3C5_4C0F_BE2F_3192D790580F__INCLUDED_)
