// TtrProgressInfo.h: interface for the TtrProgressInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TTRPROGRESSINFO_H__2E202D04_831F_11D2_AEE8_840A6D805765__INCLUDED_)
#define AFX_TTRPROGRESSINFO_H__2E202D04_831F_11D2_AEE8_840A6D805765__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "EwgProgressInfo.h"

class TtrProgressInfo : public EwgProgressInfo  
{
public:
	TtrProgressInfo();
	virtual ~TtrProgressInfo();

  TtrProgressInfo &setTask( const CString &strTaskName );
  TtrProgressInfo &setTask( UINT nIdTaskName );

  const CString &taskName() const;

private:
  CString _strTaskName;
};


inline TtrProgressInfo &
TtrProgressInfo::setTask( const CString &strTaskName )
{
  _strTaskName = strTaskName;
  return *this;
}


inline TtrProgressInfo &
TtrProgressInfo::setTask( UINT nIdTaskName )
{
  _strTaskName.LoadString( nIdTaskName );
  return *this;
}


inline const CString &
TtrProgressInfo::taskName() const
{
  return _strTaskName;
}


#endif // !defined(AFX_TTRPROGRESSINFO_H__2E202D04_831F_11D2_AEE8_840A6D805765__INCLUDED_)
