// //////////////////////////////////////////////////////////////////////////
// Header file TtrTagDef.h for class TtrTagDef
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2000/09/10
// //////////////////////////////////////////////////////////////////////////
#ifndef TTRTAGDEF_H
#define TTRTAGDEF_H


/*! \class TtrTagDef
 * \brief This class contains common tag definitions.
 */
class TtrTagDef
{
public:
  static ESymbolId sidTagCenter;

  /*! Constructs a TtrTagDef object.
   */
  TtrTagDef();

  /*! Destructor.
   */
  virtual ~TtrTagDef();

  static void setup();

private:
  /*! Prevents the use of the copy constructor.
   */
  TtrTagDef( const TtrTagDef &copy );

  /*! Prevents the use of the copy operator.
   */
  TtrTagDef &operator =( const TtrTagDef &copy );

private:
};



// Inlines methods for TtrTagDef:
// ------------------------------



#endif  // TTRTAGDEF_H
