// TtrTagList.cpp: implementation of the TtrTagList class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ttr.h"
#include "TtrTagList.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif



const TtrTagList TtrTagList::nullObject;


TtrTagList::TtrTagList()
{

}

TtrTagList::~TtrTagList()
{

}


void 
TtrTagList::addTag( const TtrTagRef &refTag )
{
  _arefTag.append( refTag );
}


void 
TtrTagList::removeTag( const TtrTagRef &refTag )
{
  _arefTag.remove( refTag );
}


void 
TtrTagList::removeTag( ESymbolId sidTag )
{
  for ( int nIdx =0; nIdx < _arefTag.count(); )
  {
    if ( _arefTag[ nIdx ]->sidTagName() == sidTag )
      _arefTag.remove( nIdx );
    else
       ++nIdx;
  }
}


void 
TtrTagList::copy( const TtrTagList &copyFrom )
{
  _arefTag.duplicate( copyFrom._arefTag );
}


const TtrTagRef &
TtrTagList::findTag( ESymbolId sidTag ) const
{
  for ( int nIdx =0; nIdx < _arefTag.count(); ++nIdx )
    if ( _arefTag[ nIdx ]->sidTagName() == sidTag )
      return _arefTag[ nIdx ];

  return TtrTagRef::nullObject;
}
