// ttr.h : main header file for the TTR application
//

#if !defined(AFX_TTR_H__1B7048C4_89DC_11D1_91BC_981384E67461__INCLUDED_)
#define AFX_TTR_H__1B7048C4_89DC_11D1_91BC_981384E67461__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"// main symbols

#include "usuel.hpp"
#include "EwgDlgFindText.h"
#include "EDragFileList.h"
#include "DlgModes.h"
#include "MainFrm.h"
#include "ChildFrm.h"
class TtrGlobalSetting;

/////////////////////////////////////////////////////////////////////////////
// CTtrApp:
// See ttr.cpp for the implementation of this class
//

class CTtrApp : public CWinApp
{
public:
	CDC m_dcScreen;
	CTtrApp();
  virtual ~CTtrApp();

  /*! Show the find text dialog.
   */
  void showFindTextDlg();

  /*! Process queued message.
   * @return \c FALSE if WM_QUIT has been received.
   */
  BOOL processMessages();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTtrApp)
			virtual BOOL InitInstance();
	virtual int ExitInstance();
	virtual void AddToRecentFileList(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CTtrApp)
	afx_msg void OnAppAbout();
	afx_msg void OnSetGlobalAnalysisMode();
	afx_msg void OnTtrSearchAgain();
	afx_msg void OnTfwkUiShow();
	afx_msg void OnTtrPasteNewDocument();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

private:
  void testComposite();
  void testFileGroup();

  /**@shapeType DependencyLink*/
  /*#  CChildFrame lnkUnnamed4*/
  /**@shapeType DependencyLink*/
  /*#  CMainFrame lnkUnnamed3*/
  /**@shapeType DependencyLink*/
  /*#  CDlgModes lnkUnnamed2*/
  /**@shapeType DependencyLink*/
  /*#  CEDragFileList lnkUnnamed1*/
  /**@shapeType DependencyLink*/
  /*#  CAboutDlg lnkUnnamed*/
	
  TtrGlobalSetting *_pGlobalSetting;
  EwgDlgFindText _dlgFindText;

  CMultiDocTemplate *m_pReformatTmpl;
};

// Global:
/////////////////////////////////////////////////////////////////////////////
extern CTtrApp theApp;


inline CTtrApp &getApp()
{
  return theApp;
}


inline CDC *getDCScreen() { return &theApp.m_dcScreen; }
inline keyControlPressed() {
  return HIBYTE( GetKeyState( VK_CONTROL ) ) != 0;
}
inline keyShiftPressed() {
  return HIBYTE( GetKeyState( VK_SHIFT ) ) != 0;
}
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TTR_H__1B7048C4_89DC_11D1_91BC_981384E67461__INCLUDED_)
