// EBaseArrayT.h: interface for the EBaseArrayT class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EBASEARRAYT_H__62899581_E6D9_11D2_BD89_0040053AD648__INCLUDED_)
#define AFX_EBASEARRAYT_H__62899581_E6D9_11D2_BD89_0040053AD648__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

template<class TElm>
class EBaseArrayT
{
public:
  EBaseArrayT() {};
  virtual ~EBaseArrayT() {};

  /*! Returns a reference to the element at position \a nIndex in the array.
   * @param nIndex position of the referenced element. 0 is the first element
   *              of the array.
   */
  virtual const TElm& at( SL nIndex ) const =0;

  /*! Returns a reference to the element at position \a nIndex in the array.
   * @param nIndex position of the referenced element. 0 is the first element
   *              of the array.
   */
  virtual TElm& at( SL nIndex ) =0;

  /*! Returns the number of elements in the array.
   * @return Number of elements in the array.
   */
  virtual SL count() const =0;
};

#endif // !defined(AFX_EBASEARRAYT_H__62899581_E6D9_11D2_BD89_0040053AD648__INCLUDED_)
