// TfwkUiTestSuiteReport.cpp: implementation of the TfwkUiTestSuiteReport class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TfwkUi.h"
#include "TfwkUiTestSuiteReport.h"
#include "TfwkDlg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TfwkUiTestSuiteReport::TfwkUiTestSuiteReport()
{
  _paError =NULL;
  _pDlg =NULL;
  Reset();
}

TfwkUiTestSuiteReport::~TfwkUiTestSuiteReport()
{

}


void 
TfwkUiTestSuiteReport::Reset()
{
  _nError = 0;

  _nFailure =0;

  _nSuccess =0;

  _nSkipped =0;

  _nTotal =0;

  if ( _paError )
    delete _paError;

  _paError = new ErrorArray;
}


void 
TfwkUiTestSuiteReport::ReportError( TfwkUiReportErrorType etpError, 
                                    const CString &strSource,
                                    int nLine,
                                    const CString &strDetail,
                                    TfwkUiTest *pTest )
{
  TfwkUiReportError *pErr = new TfwkUiReportError;
  pErr->_etpError = etpError;
  pErr->_strSource = strSource;
  pErr->_nLine = nLine;
  pErr->_strDetail = strDetail;
  pErr->_pTest = pTest;

  ASSERT( _paError );
  if ( _paError )
    _paError->add( pErr );
  if ( _pDlg )
    _pDlg->ReportError( *pErr );
}
