#if !defined(AFX_TTRDLGENCLOSURE_H__47A472D6_DBFB_4B86_BABD_4411E8E7B8B0__INCLUDED_)
#define AFX_TTRDLGENCLOSURE_H__47A472D6_DBFB_4B86_BABD_4411E8E7B8B0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TtrDlgEnclosure.h : header file
//

#include "TtrEnclosureList.h"
#include "TtrEnclosure.h"

/////////////////////////////////////////////////////////////////////////////
// TtrDlgEnclosure dialog

class TtrDlgEnclosure : public CDialog,
                        public TtrEnclosureListListener
{
// Construction
public:
	TtrDlgEnclosure( const TtrEnclosureList &listEnclosure,
                   CWnd* pParent = NULL);   // standard constructor

  const TtrEnclosureList &getEnclosureList() const;

// Dialog Data
	//{{AFX_DATA(TtrDlgEnclosure)
	enum { IDD = IDD_ENCLOSURE };
	CListBox	_lbEnclosure;
	CString	_strClosure;
	CString	_strOpening;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TtrDlgEnclosure)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation

	// Generated message map functions
	//{{AFX_MSG(TtrDlgEnclosure)
	afx_msg void OnEnclosureAdd();
	afx_msg void OnEnclosureChange();
	afx_msg void OnEnclosureRemove();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeListEnclosure();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

private:
  /**@shapeType DependencyLink*/
  /*#  TtrEnclosure lnkUnnamed*/
  virtual void enclosureAdded( TtrEnclosureList &list, TtrEnclosure &enclosure );
  virtual void enclosureRemoved( TtrEnclosureList &list, TtrEnclosure *pEnclosure );
  virtual void enclosureListRenewed( TtrEnclosureList &list );
  void updateListBoxEnclosure();
  void refreshEditedEnclosure();
  /*!
   * Gets the selected enclosure from the list box.
   * @return \c NULL on error, otherwise pointer on the enclosure.
   */
  TtrEnclosure *getSelectedEnclosure();
  TtrEnclosureList _listEnclosure;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TTRDLGENCLOSURE_H__47A472D6_DBFB_4B86_BABD_4411E8E7B8B0__INCLUDED_)
