// TtrDlgTagListEdit.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "TtrDlgTagListEdit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// TtrDlgTagListEdit dialog


TtrDlgTagListEdit::TtrDlgTagListEdit(CWnd* pParent /*=NULL*/)
	: CDialog(TtrDlgTagListEdit::IDD, pParent)
{
	//{{AFX_DATA_INIT(TtrDlgTagListEdit)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void 
TtrDlgTagListEdit::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(TtrDlgTagListEdit)
	DDX_Control(pDX, IDC_LIST_TAG, _lbTag);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(TtrDlgTagListEdit, CDialog)
	//{{AFX_MSG_MAP(TtrDlgTagListEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// TtrDlgTagListEdit message handlers


void 
TtrDlgTagListEdit::setTagList( const TtrTagList &listTag )
{
  _listTag.copy( listTag );
}



BOOL 
TtrDlgTagListEdit::OnInitDialog() 
{
	CDialog::OnInitDialog();

  updateTagList();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void 
TtrDlgTagListEdit::updateTagList()
{
  if ( !_lbTag.GetSafeHwnd() )
    return;

  _lbTag.ResetContent();

  for ( SL nIdx =0; nIdx < _listTag.tagCount(); ++nIdx )
  {
    CString strName = (LPCTSTR)_listTag.tagAt( nIdx )->tagName();
    _lbTag.AddString( strName );
  }
}
