// //////////////////////////////////////////////////////////////////////////
// Implementation file TtrFmtBlank.cpp for class TtrFmtBlank
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2000/09/15
// //////////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "TtrFmtBlank.h"
#include "TtrFmtEltVisitor.h"


TtrFmtBlank::TtrFmtBlank()
{
}


TtrFmtBlank::~TtrFmtBlank()
{
}


TtrFmtElt::EltType 
TtrFmtBlank::type() const
{
  return eltBlank;
}


void 
TtrFmtBlank::visit( TtrFmtEltVisitor &visitor )
{
  visitor.visitBlank( *this );
}


void 
TtrFmtBlank::addLine( const TtrTagList &listTag )
{
  EAutoPtrT<TtrTagList> ptrTagList( new TtrTagList() );
  ptrTagList->copy( listTag );
  _apTagList.append( ptrTagList.detach() );
}
