// TtrTag.cpp: implementation of the TtrTag class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TtrTag.h"
#include "TtrTagManager.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TtrTag::TtrTag( const EString &strTagName,
                const TtrTagAttListRef &refAttList,
                bool bIsEngineDefined ) :
    _refAttList( refAttList ),
    _bIsEngineDefined( bIsEngineDefined ),
    _sidTagName( TtrTagManager::manager().symbolId( strTagName ) )
{
}


TtrTag::~TtrTag()
{
}


const EString &
TtrTag::tagName() const
{
  return TtrTagManager::manager().symbolName( _sidTagName );
}
