// //////////////////////////////////////////////////////////////////////////
// Implementation file TtrTagAtt.cpp for class TtrTagAtt
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2000/09/09
// //////////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "TtrTagAtt.h"
#include "TtrTagManager.h"


TtrTagAtt::TtrTagAtt( const EString &strAttName,
                     const EString &strAttValue ) :
    _sidAttName( TtrTagManager::manager().symbolId( strAttName ) ),
    _strAttValue( strAttValue )
{
}


TtrTagAtt::~TtrTagAtt()
{
}


const EString &
TtrTagAtt::attName() const
{
  return TtrTagManager::manager().symbolName( _sidAttName );
}



