// TtrTextCoreInfo.cpp: implementation of the TtrTextCoreInfo class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ttr.h"
#include "TtrTextCoreInfo.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TtrTextCoreInfoId TtrTextCoreInfo::_nNextId = 1;
const TtrTextCoreInfoId TtrTextCoreInfo::nullId = 0;


TtrTextCoreInfo::TtrTextCoreInfo( const TtrTextCoreInfo &info ) :
    _nId( info._nId ),
    _strName( info._strName ),
    _nIdCompositeParent( info._nIdCompositeParent )
{
}


TtrTextCoreInfo::TtrTextCoreInfo( const EString &strName ) :
    _nId( _nNextId++ ),
    _strName( strName ),
    _nIdCompositeParent( nullId )
{
}


TtrTextCoreInfo::~TtrTextCoreInfo()
{
}


TtrTextCoreInfo &
TtrTextCoreInfo::operator =( const TtrTextCoreInfo &info )
{
  _nId = info._nId;
  _strName = info._strName;
  _nIdCompositeParent = info._nIdCompositeParent;
  return *this;
}
